Skip to content
Start here

List Datasets

client.aiGateway.datasets.list(stringgatewayId, DatasetListParams { account_id, enable, name, 3 more } params, RequestOptionsoptions?): V4PagePaginationArray<DatasetListResponse { id, created_at, enable, 4 more } >
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/datasets

Lists all AI Gateway evaluator types configured for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
gatewayId: string

gateway id

maxLength64
minLength1
params: DatasetListParams { account_id, enable, name, 3 more }
account_id: string

Path param

enable?: boolean

Query param

name?: string

Query param

page?: number

Query param

minimum1
per_page?: number

Query param

maximum100
minimum1
ReturnsExpand Collapse
DatasetListResponse { id, created_at, enable, 4 more }
id: string
created_at: string
formatdate-time
enable: boolean
filters: Array<Filter>
key: "created_at" | "request_content_type" | "response_content_type" | 10 more
One of the following:
"created_at"
"request_content_type"
"response_content_type"
"success"
"cached"
"provider"
"model"
"cost"
"tokens"
"tokens_in"
"tokens_out"
"duration"
"feedback"
operator: "eq" | "contains" | "lt" | "gt"
One of the following:
"eq"
"contains"
"lt"
"gt"
value: Array<string | number | boolean>
One of the following:
string
number
boolean
gateway_id: string

gateway id

maxLength64
minLength1
modified_at: string
formatdate-time
name: string

List Datasets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const datasetListResponse of client.aiGateway.datasets.list('my-gateway', {
  account_id: '3ebbcb006d4d46d7bb6a8c7f14676cb0',
})) {
  console.log(datasetListResponse.id);
}
{
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enable": true,
      "filters": [
        {
          "key": "created_at",
          "operator": "eq",
          "value": [
            "string"
          ]
        }
      ],
      "gateway_id": "my-gateway",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name"
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enable": true,
      "filters": [
        {
          "key": "created_at",
          "operator": "eq",
          "value": [
            "string"
          ]
        }
      ],
      "gateway_id": "my-gateway",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name"
    }
  ],
  "success": true
}